List campaigns
curl --request GET \
--url https://api.coldsend.pro/api/public/v1/campaigns \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coldsend.pro/api/public/v1/campaigns"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coldsend.pro/api/public/v1/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coldsend.pro/api/public/v1/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coldsend.pro/api/public/v1/campaigns"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coldsend.pro/api/public/v1/campaigns")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coldsend.pro/api/public/v1/campaigns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"campaigns": [
{
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"current_step": 123,
"created_at": "2023-11-07T05:31:56Z",
"launched_at": "2023-11-07T05:31:56Z",
"enable_tracking": false,
"enable_click_tracking": false,
"total_leads": 0,
"sent_count": 0,
"reply_count": 0,
"open_count": 0,
"bounce_count": 0,
"unsubscribe_count": 0
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"pages": 123,
"has_next": true,
"has_prev": true
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Campaigns
List campaigns
List all campaigns in your workspace
Retrieve a paginated list of campaigns with filtering and sorting options.
Filtering Options
- status: Filter by campaign status (DRAFT, ACTIVE, PAUSED, COMPLETED, FAILED)
- search: Search campaigns by name (case-insensitive partial match)
- days: Filter campaigns created in the last N days
Sorting Options
- sort_by: Field to sort by (name, status, created_at, launched_at, sent_count, reply_count)
- sort_order: Sort direction (asc, desc)
Pagination
- page: Page number (1-based)
- limit: Items per page (1-100, default 20)
Example Usage
import requests
response = requests.get(
"https://api.coldsend.pro/api/public/v1/campaigns?status=ACTIVE&sort_by=created_at&sort_order=desc",
headers={"X-API-Key": "your-api-key"}
)
print(response.json())
GET
/
api
/
public
/
v1
/
campaigns
List campaigns
curl --request GET \
--url https://api.coldsend.pro/api/public/v1/campaigns \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coldsend.pro/api/public/v1/campaigns"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coldsend.pro/api/public/v1/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coldsend.pro/api/public/v1/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coldsend.pro/api/public/v1/campaigns"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coldsend.pro/api/public/v1/campaigns")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coldsend.pro/api/public/v1/campaigns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"campaigns": [
{
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"current_step": 123,
"created_at": "2023-11-07T05:31:56Z",
"launched_at": "2023-11-07T05:31:56Z",
"enable_tracking": false,
"enable_click_tracking": false,
"total_leads": 0,
"sent_count": 0,
"reply_count": 0,
"open_count": 0,
"bounce_count": 0,
"unsubscribe_count": 0
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"pages": 123,
"has_next": true,
"has_prev": true
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
API key with format cs_live_xxx
Query Parameters
Page number
Required range:
x >= 1Items per page
Required range:
1 <= x <= 100Filter by status
Search by name
Sort field
Sort order (asc/desc)
Filter by days since creation
Required range:
x >= 1Was this page helpful?

